Skip to content

Extension Viewer State

POST /extension_viewer_state

Extension Viewer State

Authorization

Send Authorization: <Twitch Extension Client ID> <Muxy JWT>. The JWT role must satisfy the endpoint requirements shown in the examples.

Request body

Content type: application/json

Schema

{
  "type": "object",
  "description": "Complete JSON value to store or submit.",
  "additionalProperties": true
}

Example

{
  "favorite_color": "blue"
}

Responses

200 Response

Write accepted. The current service returns an empty JSON object.

Content type: application/json

Schema
{
  "type": "object",
  "maxProperties": 0
}
Example
{}

400 Error

400

Content type: application/json

Schema
{
  "type": "object",
  "properties": {
    "reason": {
      "type": "string"
    }
  }
}
Example
{
  "reason": "400"
}

Examples

Curl

curl --request POST \
  --url https://sandbox.api.muxy.io/v1/e/extension_viewer_state \
  --header 'authorization: <Client ID> <viewer JWT>' \
  --header 'content-type: application/json' \
  --data '{ "favorite_color": "blue" }'

Generated API reference

This endpoint is generated from rest-v1.yaml.